#include "makuobject.h"
#include <glib.h>
#include <glib-object.h>

MakuObject *maku = NULL;

void name_owner_changed_handler (void)
{
	g_print ("Someone... somewhere just changed a name!\n\n\n");
}


int main (void)
{
	GMainLoop *mainloop;
	
	g_type_init ();

	mainloop = g_main_loop_new (NULL, FALSE);	
	maku = g_object_new (TYPE_MAKU_OBJECT, NULL);
	
	g_print ("Maku's age = %d\n", maku->age);
	g_signal_connect (maku, "name-owner-changed", name_owner_changed_handler, NULL);

	/* to let DBus emit the related signal - NameOwnerChanged - do basically nothing! */
	
	g_main_loop_run (mainloop);
	
	g_object_unref (maku);
	
	return 0;
}


